From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/vagrant/
Date: Tue, 13 Feb 2018 15:53:58 +0000 (UTC) [thread overview]
Message-ID: <1518537223.07e8c10bdaff2a3579682674f56f0201ceab2569.mgorny@gentoo> (raw)
commit: 07e8c10bdaff2a3579682674f56f0201ceab2569
Author: Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Feb 9 06:40:10 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 13 15:53:43 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07e8c10b
app-emulation/vagrant: bump to 2.0.2
Package-Manager: Portage-2.3.24, Repoman-2.3.6
app-emulation/vagrant/Manifest | 1 +
app-emulation/vagrant/vagrant-2.0.2.ebuild | 79 ++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/app-emulation/vagrant/Manifest b/app-emulation/vagrant/Manifest
index 6cecd140c6f..dfc4b7365d7 100644
--- a/app-emulation/vagrant/Manifest
+++ b/app-emulation/vagrant/Manifest
@@ -1,3 +1,4 @@
DIST vagrant-1.9.8.tar.gz 1127560 BLAKE2B efb6c8b985e92dcf0f933a24480934ec09b990f6cd1ea0ed373eb72c3d41f343cfcfef99ff77f39e5a40ee010dca8c45db68c07db106a73078d2841d65e2e3c0 SHA512 d22cc0a6800aa5ef84085c750f5ec8729f7b3adefd9a5df1a1fcaf60d1219e781869ede4f57ce4fdeb269224603dfc3a8024545a0250ebd9e144745ce9aa670b
DIST vagrant-2.0.0.tar.gz 1142850 BLAKE2B a37baa3166e812635a8ce7e27280108660a347b8cfed396f29cb8f7b7266b5dc47501be6793a95d9bbaf289dd3be3bcef67ff37c35b51987a328194f275ae7f9 SHA512 ee9059dfd205253d6f978fd225d85eef5a281532a1992bc9382eb713c95a0280d4b6518460106227237ae4e93cf5e2eaf670bd378627c3e9696b0fe9a2427ac1
DIST vagrant-2.0.1.tar.gz 1153702 BLAKE2B 66c15ab3bf6fd5904e25d4689b6ce70b5c87c833e1ed943b49f53d6ce63924486d65c2db3990625a1fd971fae5e7961f7b9d0624e71576daa7967cbccf21c202 SHA512 4458fd819cfcbf732dcbb5e334986afc986e3da4f4ea883260ed9b7ff8dd90ef9b0078c067a1bf7fbf51562f235ab447234762a38aa0ac539974f6205f6d9cfd
+DIST vagrant-2.0.2.tar.gz 1177773 BLAKE2B 7624ce0bbc5f606bff89a0ef7d9d562f5caeea50b2b13744aef5e037f0b7861ccd2b6450f1686f4285027540b795539ef548ddadaf2f6c1476c87717078ebc7f SHA512 27e8157cf8a8d102a0ca328403410639bd4a9f7cb90d443f5be3ca912aeb6177208b26ba9751b49d98b5ba1e92f8bec74db0baca4cd22051d5ef6d3aca558f3a
diff --git a/app-emulation/vagrant/vagrant-2.0.2.ebuild b/app-emulation/vagrant/vagrant-2.0.2.ebuild
new file mode 100644
index 00000000000..09af0d9c740
--- /dev/null
+++ b/app-emulation/vagrant/vagrant-2.0.2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+USE_RUBY="ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="vagrant.gemspec"
+RUBY_FAKEGEM_EXTRAINSTALL="keys plugins templates version.txt"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit bash-completion-r1 ruby-fakegem
+
+DESCRIPTION="A tool for building and distributing development environments"
+HOMEPAGE="http://vagrantup.com/"
+SRC_URI="https://github.com/mitchellh/vagrant/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+virtualbox"
+RESTRICT="test"
+
+RDEPEND="${RDEPEND}
+ app-arch/libarchive
+ net-misc/curl
+ virtualbox? ( || ( app-emulation/virtualbox app-emulation/virtualbox-bin ) )"
+
+ruby_add_rdepend "
+ >=dev-ruby/childprocess-0.6.0
+ >=dev-ruby/erubis-2.7.0
+ <dev-ruby/i18n-0.8.0:*
+ >=dev-ruby/listen-3.1.5
+ >=dev-ruby/hashicorp-checkpoint-0.1.5
+ >=dev-ruby/log4r-1.1.9 <dev-ruby/log4r-1.1.11
+ >=dev-ruby/net-ssh-4.2.0:*
+ >=dev-ruby/net-sftp-2.1
+ >=dev-ruby/net-scp-1.2.0
+ || ( dev-ruby/rest-client:2 >=dev-ruby/rest-client-1.6.0:0 )
+ >=dev-ruby/nokogiri-1.7.1
+ <dev-ruby/mime-types-3:*
+"
+
+ruby_add_bdepend "
+ >=dev-ruby/rake-12.0.0
+"
+
+all_ruby_prepare() {
+ # remove bundler support
+ sed -i '/[Bb]undler/d' Rakefile || die
+ rm Gemfile || die
+
+ # loosen dependencies
+ sed -e '/hashicorp-checkpoint\|listen\|net-ssh\|net-scp\|rake\|childprocess/s/~>/>=/' \
+ -e '/ruby_dep/s/<=/>=/' \
+ -i ${PN}.gemspec || die
+
+ # remove windows-specific gems
+ sed -e '/wdm\|winrm/d' \
+ -i ${PN}.gemspec || die
+
+ # remove bsd-specific gems
+ sed -e '/rb-kqueue/d' \
+ -i ${PN}.gemspec || die
+
+ sed -e "s/@VAGRANT_VERSION@/${PV}/g" "${FILESDIR}/${PN}.in-r1" > "${PN}" || die
+}
+
+all_ruby_install() {
+ newbashcomp contrib/bash/completion.sh ${PN}
+ all_fakegem_install
+
+ # provide executable similar to upstream:
+ # https://github.com/mitchellh/vagrant-installers/blob/master/substrate/modules/vagrant_installer/templates/vagrant.erb
+ dobin "${PN}"
+
+ # directory for plugins.json
+ keepdir /var/lib/vagrant
+}
next reply other threads:[~2018-02-13 15:54 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-02-13 15:53 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-20 7:44 [gentoo-commits] repo/gentoo:master commit in: app-emulation/vagrant/ Joonas Niilola
2024-04-20 7:44 Joonas Niilola
2024-02-02 1:24 Sam James
2024-01-31 12:54 Joonas Niilola
2023-09-10 11:41 Hans de Graaff
2023-08-27 18:56 Arthur Zamarin
2023-03-18 1:22 Sam James
2023-03-18 1:22 Sam James
2022-12-28 20:37 Sam James
2022-08-17 15:39 Sam James
2022-05-20 8:40 Joonas Niilola
2022-05-20 8:40 Joonas Niilola
2021-10-20 3:02 Sam James
2021-09-28 19:47 Sam James
2021-09-28 19:47 Sam James
2021-09-28 1:01 Sam James
2020-07-11 6:03 Georgy Yakovlev
2020-05-21 6:59 Georgy Yakovlev
2020-05-19 3:26 Georgy Yakovlev
2020-03-13 5:43 Georgy Yakovlev
2020-01-28 19:59 Georgy Yakovlev
2019-10-25 20:39 Georgy Yakovlev
2019-06-26 19:07 Georgy Yakovlev
2019-05-20 18:56 Georgy Yakovlev
2019-02-27 19:29 Georgy Yakovlev
2019-01-10 3:32 Georgy Yakovlev
2018-12-30 20:53 Georgy Yakovlev
2018-12-30 20:53 Georgy Yakovlev
2018-12-13 0:42 Georgy Yakovlev
2018-12-13 0:42 Georgy Yakovlev
2018-12-12 10:20 Hans de Graaff
2018-11-30 5:29 Georgy Yakovlev
2018-11-30 5:29 Georgy Yakovlev
2018-09-26 20:02 Georgy Yakovlev
2018-07-24 18:54 Virgil Dupras
2018-06-27 16:58 Georgy Yakovlev
2018-05-11 10:13 Michał Górny
2018-05-11 10:13 Michał Górny
2018-05-11 10:13 Michał Górny
2018-04-20 9:00 Amy Liffey
2018-02-13 15:53 Michał Górny
2017-09-21 14:51 Amy Liffey
2017-09-10 21:24 Patrice Clement
2017-02-11 11:33 Michael Palimaka
2016-09-27 14:56 Amy Winston
2016-08-06 13:13 Sebastian Pipping
2016-08-06 13:05 Sebastian Pipping
2016-01-20 9:01 Patrice Clement
2016-01-20 9:01 Patrice Clement
2016-01-20 7:19 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1518537223.07e8c10bdaff2a3579682674f56f0201ceab2569.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox